# DOMCharacterData::appendData

(PHP 5, PHP 7)

DOMCharacterData::appendData — Append the string to the end of the character data of the node

### Description

public DOMCharacterData::appendData ( string `$data` ) : void

Append the string `data` to the end of the character data of the node.

### Parameters

`data`

  The string to append.

### Return Values

No value is returned.

### See Also

- DOMCharacterData::deleteData() - Remove a range of characters from the node
- DOMCharacterData::insertData() - Insert a string at the specified 16-bit unit offset
- DOMCharacterData::replaceData() - Replace a substring within the DOMCharacterData node
- DOMCharacterData::substringData() - Extracts a range of data from the node